## fceux 2.3.0+dfsg1

=== fceux-server/Makefile ===
PREFIX  = 	/usr
OUTFILE = 	fceux-net-server

CC	=	g++
OBJS	=	server.o md5.o throttle.o


all:		${OBJS}
		${CC} -o ${OUTFILE} ${OBJS}

clean:
		rm -f ${OUTFILE} ${OBJS}

install:
		install -m 755 -D fceux-net-server ${PREFIX}/bin/fceux-server
		install -m 644 -D fceux-server.conf /etc/fceux-server.conf

server.o:	server.cpp
md5.o:		md5.cpp
throttle.o:	throttle.cpp

=== src/CMakeLists.txt ===

if ( ${GTK} )
message( STATUS "GUI backend: GTK")
set( APP_NAME fceux-gtk)
else()
message( STATUS "GUI backend: QT")
set( APP_NAME fceux)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
endif()

if(WIN32)
  set(SOURCES ${SRC_CORE} ${SRC_DRIVERS_COMMON} ${SRC_DRIVERS_WIN})
  include_directories( ${CMAKE_SOURCE_DIR}/src/drivers/win/directx ${CMAKE_SOURCE_DIR}/src/drivers/win/zlib )
  add_definitions(
    -DWIN32
    -DFCEUDEF_DEBUGGER
    -D_USE_SHARED_MEMORY_
    -DPSS_STYLE=2
    -DNOMINMAX
        -D_S9XLUA_H
  )
  link_directories( ${CMAKE_SOURCE_DIR}/src/drivers/win/directx )
else(WIN32)
  # Non Windows System
  # UNIX (Linux or Mac OSX)

	if ( ${GLVND} )
		message( STATUS "OpenGL preference: GLVND")
		set (OpenGL_GL_PREFERENCE  GLVND)
	else()
		message( STATUS "OpenGL preference: LEGACY")
		set (OpenGL_GL_PREFERENCE  LEGACY)
	endif()

  # Use the built-in cmake find_package functions to find dependencies
  # Use package PkgConfig to detect headers/library what find_package cannot find.
  find_package(PkgConfig REQUIRED)
  find_package(OpenGL REQUIRED)
  find_package(ZLIB REQUIRED)

  add_definitions( -Wall  -Wno-write-strings  -Wno-sign-compare  -Wno-parentheses  -Wno-unused-local-typedefs  -fPIC )
  add_definitions( -DFCEUDEF_DEBUGGER )

  if ( ${GTK} )
     pkg_check_modules( GTK3 REQUIRED gtk+-3.0)
     pkg_check_modules( X11  REQUIRED x11)
     add_definitions( ${GTK3_CFLAGS}  ${X11_CFLAGS} )
     add_definitions( -D_GTK -DOPENGL )
  else(${GTK})
     find_package(Qt5 COMPONENTS Widgets OpenGL REQUIRED)
     add_definitions( ${Qt5Widgets_DEFINITIONS}  )
     include_directories( ${Qt5Widgets_INCLUDE_DIRS} )
     add_definitions( -D__QT_DRIVER__  -DQT_DEPRECATED_WARNINGS )
  endif()

  # Check for libminizip
  pkg_check_modules( MINIZIP REQUIRED minizip)

  if ( ${MINIZIP_FOUND} )
	  add_definitions( -D_SYSTEM_MINIZIP ${MINIZIP_CFLAGS} )
  endif()

  #pkg_check_modules( GL gl) # Use built in find package instead for OpenGL

  # Check for OpenGL
  if ( ${OPENGL_FOUND} )
	include_directories( ${OPENGL_INCLUDE_DIR} )
  endif()

  #pkg_check_modules( ZLIB REQUIRED zlib) # Use built in find package instead for zlib

  # Check for zlib
  if ( ${ZLIB_FOUND} )
	  #add_definitions( ${ZLIB_CFLAGS} )
	  include_directories( ${ZLIB_INCLUDE_DIRS} )
  endif()

  # Check for SDL2
  pkg_check_modules( SDL2 REQUIRED sdl2)

  if ( ${SDL2_FOUND} )
	  add_definitions( ${SDL2_CFLAGS} -D__SDL__ )
  endif()

  # Check for LUA
  pkg_search_module( LUA lua5.1 lua-5.1 )

  if ( ${LUA_FOUND} )
     # Use System LUA
	  message( STATUS "Using System Lua ${LUA_VERSION}" )

	  add_definitions( -D_S9XLUA_H  ${LUA_CFLAGS} )

	  set( LUA_ENGINE_SOURCE  ${CMAKE_CURRENT_SOURCE_DIR}/lua-engine.cpp )

  else ()

     # Use Internal LUA
	  message( STATUS "Using Internal Lua" )

     add_definitions( -D_S9XLUA_H  -I${CMAKE_CURRENT_SOURCE_DIR}/lua/src )

	  set( LUA_ENGINE_SOURCE  
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lapi.c 
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lauxlib.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lbaselib.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lcode.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ldblib.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ldebug.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ldo.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ldump.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lfunc.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lgc.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/linit.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/liolib.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/llex.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lmathlib.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lmem.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/loadlib.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lobject.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lopcodes.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/loslib.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lparser.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lstate.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lstring.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lstrlib.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ltable.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ltablib.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ltm.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lundump.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lvm.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lzio.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/print.c
        ${CMAKE_CURRENT_SOURCE_DIR}/lua-engine.cpp 
     )
  endif()

  add_definitions( -DHAVE_ASPRINTF ) # What system wouldn't have this?
  #add_definitions( -DCREATE_AVI    ) 

  if(APPLE)
	set( OPENGL_LDFLAGS  "-framework OpenGL" )
  else()
	set( OPENGL_LDFLAGS  ${OPENGL_LIBRARIES} )
  	set( SYS_LIBS  -lrt  -lpthread )
  endif()

endif(WIN32)

include_directories( ${CMAKE_SOURCE_DIR}/src )
include_directories( ${CMAKE_SOURCE_DIR}/src/drivers )

if(APPLE)
  add_definitions( -DPSS_STYLE=4 )
else(APPLE)
  if(UNIX)
    add_definitions( -DPSS_STYLE=1 )
  endif(UNIX)
endif(APPLE)

set(SRC_CORE
	${CMAKE_CURRENT_SOURCE_DIR}/asm.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/cart.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/cheat.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/conddebug.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/config.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/debug.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/drawing.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/fceu.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/fds.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/file.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/emufile.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/filter.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/ines.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/input.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/movie.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/netplay.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/nsf.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/oldmovie.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/palette.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/ppu.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/sound.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/state.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/unif.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/video.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/vsuni.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/wave.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/x6502.cpp
	${LUA_ENGINE_SOURCE}
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/01-222.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/09-034a.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/103.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/106.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/108.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/112.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/116.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/117.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/120.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/121.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/12in1.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/151.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/156.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/158B.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/15.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/164.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/168.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/170.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/175.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/176.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/177.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/178.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/183.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/185.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/186.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/187.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/189.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/18.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/190.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/193.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/199.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/206.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/208.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/222.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/225.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/228.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/230.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/232.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/234.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/235.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/244.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/246.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/252.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/253.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/28.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/32.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/33.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/34.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/36.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/3d-block.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/40.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/411120-c.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/41.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/42.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/43.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/46.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/50.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/51.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/57.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/603-5052.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/62.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/65.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/67.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/68.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/69.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/71.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/72.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/77.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/79.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/80013-B.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/80.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/8157.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/8237.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/82.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/830118C.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/88.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/8in1.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/90.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/91.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/96.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/99.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/a9746.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/ac-08.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/addrlatch.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/ax5705.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/bandai.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/bb.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/bmc13in1jy110.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/bmc42in1r.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/bmc64in1nr.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/bmc70in1.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/BMW8544.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/bonza.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/bs-5.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/bs4xxxr.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/cheapocabra.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/cityfighter.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/coolboy.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/dance2000.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/datalatch.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/dream.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/__dummy_mapper.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/edu2000.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/eh8813a.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/emu2413.c
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/et-100.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/et-4320.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/F-15.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/famicombox.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/ffe.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/fk23c.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/fns.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/ghostbusters63in1.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/gs-2004.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/gs-2013.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/h2288.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/hp10xx_hp20xx.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/hp898f.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/inlnsf.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/karaoke.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/kof97.cpp

=== attic/cmake-stuff/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(fceux)
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/bin)
add_subdirectory(cmake/native)
if(UNIX)
  add_subdirectory(cmake/cross-mingw32)
endif(UNIX)

add_custom_command(
  OUTPUT ${EXECUTABLE_OUTPUT_PATH}/fceux.chm
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_SOURCE_DIR}/src/drivers/win/help/fceux.chm ${EXECUTABLE_OUTPUT_PATH}/fceux.chm
  DEPENDS ${CMAKE_SOURCE_DIR}/src/drivers/win/help/fceux.chm
  VERBATIM
)
add_custom_target(
  InstallHelpFile
  ALL
  DEPENDS ${EXECUTABLE_OUTPUT_PATH}/fceux.chm
)

=== debian/control ===
Source: fceux
Section: games
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Uploaders: Alexander Toresson <alexander.toresson@gmail.com>
Build-Depends:
  debhelper-compat (= 13),
  cmake,
  liblua5.1-0-dev,
  libminizip-dev,
  libqt5opengl5-dev,
  libqwt-qt5-dev,
  libsdl2-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://fceux.com/
VCS-Browser: https://salsa.debian.org/games-team/fceux
VCS-Git: https://salsa.debian.org/games-team/fceux.git

Package: fceux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: efp
Provides: nes-emulator
Description: all-in-one NES/Famicom Emulator
 FCE Ultra X [FCEUX] is an emulator of the original (8-bit) Nintendo
 Entertainment System (NES) released under the GNU General Public License
 (GPL).  It includes the following features (and many more):
 .
       * fully customizable color palette rendering engine
       * complete sound emulation (all five channels)
       * support for up to four joystick controllers
       * zapper emulation for the mouse
       * GameGenie emulation
       * accepts compressed (PKZIP, gzip) ROM images
       * TCP/IP network play
       * Lua scripting

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=$(CURDIR)/fceux-server/

override_dh_auto_configure: CFLAGS   += -DPUBLIC_RELEASE=1
override_dh_auto_configure: CPPFLAGS += -DPUBLIC_RELEASE=1
override_dh_auto_configure:
	dh_auto_configure -- -DGLVND=1

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=$(CURDIR)/fceux-server/

%:
	dh $@

=== debian/watch ===
# watch file for fceux
# See uscan(1) for format
version=4

# sf.net redirector on qa.debian.org
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://sf.net/fceultra/ fceux-(.*)\.src\.tar.(?:bz2|gz) \
  debian gbp import-orig --verbose --uscan

## fceux 2.5.0+dfsg1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.1)

project(fceux)

add_subdirectory( src )

=== getSDLKey/Makefile ===
PREFIX  = 	/usr
OUTFILE = 	getSDLKey

CC	=	g++
OBJS	=	getSDLKey.o
LIBS = $(shell sdl-config --cflags --libs)

all:		${OBJS}
		${CC} -o ${OUTFILE} ${OBJS} ${LIBS}

clean:
		rm -f ${OUTFILE} ${OBJS}

install:
		install -m 755 -D getSDLKey ${PREFIX}/bin/getSDLKey

getSDLKey.o = getSDLKey.cpp

=== src/CMakeLists.txt ===

set( APP_NAME fceux)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if ( ${QT6} )
	message( STATUS "GUI Frontend: Qt6")
	set( Qt Qt6 )
else()
	message( STATUS "GUI Frontend: Qt5")
	set( Qt Qt5 )
endif()

if ( ${QHELP} )
	set(QtHelpModule Help)
	add_definitions( -D_USE_QHELP )
endif()

if ( ${QT6} )
	find_package( Qt6 REQUIRED COMPONENTS Widgets OpenGL OpenGLWidgets ${QtHelpModule})
  	add_definitions( ${Qt6Widgets_DEFINITIONS} ${Qt6Help_DEFINITIONS} ${Qt6OpenGLWidgets_DEFINITIONS} )
  	include_directories( ${Qt6Widgets_INCLUDE_DIRS} ${Qt6Help_INCLUDE_DIRS} ${Qt6OpenGLWidgets_INCLUDE_DIRS} )
else()
	find_package( Qt5 REQUIRED COMPONENTS Widgets OpenGL ${QtHelpModule})
	add_definitions( ${Qt5Widgets_DEFINITIONS} ${Qt5Help_DEFINITIONS} )
	include_directories( ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Help_INCLUDE_DIRS} )
endif()

if(WIN32)
     find_package(OpenGL REQUIRED)
     #find_package(Qt5 COMPONENTS Widgets OpenGL REQUIRED)
     #add_definitions( ${Qt5Widgets_DEFINITIONS}  )
     #include_directories( ${Qt5Widgets_INCLUDE_DIRS} )
     add_definitions( -DMSVC -D_CRT_SECURE_NO_WARNINGS )
     add_definitions( -D__SDL__  -D__QT_DRIVER__  -DQT_DEPRECATED_WARNINGS )
     add_definitions( -DFCEUDEF_DEBUGGER )
     include_directories( ${SDL_INSTALL_PREFIX}/SDL2/include )
     include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib )
     set( OPENGL_LDFLAGS  OpenGL::GL )
     set( SDL2_LDFLAGS  ${SDL_INSTALL_PREFIX}/SDL2/lib/x64/SDL2.lib )
     set( SYS_LIBS  wsock32 ws2_32 vfw32 Htmlhelp )
     set(APP_ICON_RESOURCES_WINDOWS  ${CMAKE_SOURCE_DIR}/icons/fceux.rc )

     if ( ${USE_LIBAV} )
        add_definitions( -D_USE_LIBAV ${LIBAV_CFLAGS} )
        include_directories( ${FFMPEG_INSTALL_PREFIX}/ffmpeg/include )
        set( LIBAV_LDFLAGS  ${FFMPEG_INSTALL_PREFIX}/ffmpeg/lib/avcodec.lib
        	                 ${FFMPEG_INSTALL_PREFIX}/ffmpeg/lib/avformat.lib
                	         ${FFMPEG_INSTALL_PREFIX}/ffmpeg/lib/avutil.lib
                        	 ${FFMPEG_INSTALL_PREFIX}/ffmpeg/lib/swscale.lib
                        	 ${FFMPEG_INSTALL_PREFIX}/ffmpeg/lib/swresample.lib )
     endif()

else(WIN32)
  # Non Windows System
  # UNIX (Linux or Mac OSX)

	if ( ${GLVND} )
		message( STATUS "OpenGL preference: GLVND")
		set (OpenGL_GL_PREFERENCE  GLVND)
	else()
		message( STATUS "OpenGL preference: LEGACY")
		set (OpenGL_GL_PREFERENCE  LEGACY)
	endif()

  # Use the built-in cmake find_package functions to find dependencies
  # Use package PkgConfig to detect headers/library what find_package cannot find.
  find_package(PkgConfig REQUIRED)
  find_package(OpenGL REQUIRED)
  find_package(ZLIB REQUIRED)

  add_definitions( -Wall  -Wno-write-strings  -Wno-sign-compare  -Wno-parentheses  -Wno-unused-local-typedefs  -fPIC )
  add_definitions( -DFCEUDEF_DEBUGGER )

  #if ( ${QT6} )
  #	find_package( Qt6 COMPONENTS Widgets OpenGL OpenGLWidgets REQUIRED)
  #	add_definitions( ${Qt6Widgets_DEFINITIONS} ${Qt6OpenGLWidgets_DEFINITIONS} )
  #	include_directories( ${Qt6Widgets_INCLUDE_DIRS} ${QtOpenGLWidgets_INCLUDE_DIRS} )
  #else()
  #	find_package( Qt5 COMPONENTS Widgets OpenGL REQUIRED)
  #	add_definitions( ${Qt5Widgets_DEFINITIONS}  )
  #	include_directories( ${Qt5Widgets_INCLUDE_DIRS} )
  #endif()
  add_definitions( -D__QT_DRIVER__  -DQT_DEPRECATED_WARNINGS )

  # Check for libminizip
  pkg_check_modules( MINIZIP REQUIRED minizip)

  if ( ${MINIZIP_FOUND} )
	  message( STATUS "Using System minizip ${MINIZIP_VERSION}" )
	  add_definitions( -D_SYSTEM_MINIZIP ${MINIZIP_CFLAGS} )
  endif()

  pkg_check_modules( X264 x264)

  if ( ${X264_FOUND} )
	  message( STATUS "Using System X264 Encoder Library ${X264_VERSION}" )
	  add_definitions( -D_USE_X264 ${X264_CFLAGS} )
  endif()

  pkg_check_modules( X265 x265)

  if ( ${X265_FOUND} )
	  message( STATUS "Using System X265 Encoder Library ${X265_VERSION}" )
	  add_definitions( -D_USE_X265 ${X265_CFLAGS} )
  endif()

  pkg_check_modules( LIBAV  libavcodec  libavformat  libavutil  libswresample  libswscale)

  if ( ${LIBAV_FOUND} )
	  message( STATUS "Using System Libav Library ${LIBAV_VERSION}" )
	  add_definitions( -D_USE_LIBAV ${LIBAV_CFLAGS} )
  endif()

  #pkg_check_modules( GL gl) # Use built in find package instead for OpenGL

  # Check for OpenGL
  if ( ${OPENGL_FOUND} )
	include_directories( ${OPENGL_INCLUDE_DIR} )
  endif()

  # Check for SDL2
  pkg_check_modules( SDL2 REQUIRED sdl2)

  if ( ${SDL2_FOUND} )
	  add_definitions( ${SDL2_CFLAGS} -D__SDL__ )
  endif()

  # Check for LUA
  pkg_search_module( LUA lua5.1 lua-5.1 )

  add_definitions( -DHAVE_ASPRINTF ) # What system wouldn't have this?
  add_definitions( -DLUA_USE_LINUX ) # This needs to be set when link LUA internally for linux and macosx

  if(APPLE)
	set( OPENGL_LDFLAGS  "-framework OpenGL" )
  else()
	set( OPENGL_LDFLAGS  ${OPENGL_LIBRARIES} )
	# OpenBSD  refuses  to  implement  the POSIX  realtime  interface  and
	# refuses to provide a stub library for -ldl
	if(${CMAKE_SYSTEM_NAME} STREQUAL "OpenBSD")
	  	set( SYS_LIBS  -lpthread)
        else()
          	set( SYS_LIBS  -lrt  -lpthread  -ldl)
        endif()
  endif()

endif(WIN32)

if ( ${LUA_FOUND} )
   # Use System LUA
        message( STATUS "Using System Lua ${LUA_VERSION}" )

        add_definitions( -D_S9XLUA_H  ${LUA_CFLAGS} )

        set( LUA_ENGINE_SOURCE  ${CMAKE_CURRENT_SOURCE_DIR}/lua-engine.cpp )

else ()

   # Use Internal LUA
        message( STATUS "Using Internal Lua" )

   add_definitions( -D_S9XLUA_H  -I${CMAKE_CURRENT_SOURCE_DIR}/lua/src )

        set( LUA_ENGINE_SOURCE  
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lapi.c 
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lauxlib.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lbaselib.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lcode.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ldblib.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ldebug.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ldo.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ldump.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lfunc.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lgc.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/linit.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/liolib.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/llex.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lmathlib.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lmem.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/loadlib.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lobject.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lopcodes.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/loslib.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lparser.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lstate.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lstring.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lstrlib.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ltable.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ltablib.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/ltm.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lundump.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lvm.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/lzio.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua/src/print.c
      ${CMAKE_CURRENT_SOURCE_DIR}/lua-engine.cpp 
   )
endif()

if ( ${ZLIB_FOUND} )

  message( STATUS "Using System zlib ${ZLIB_VERSION_STRING}" )
  #add_definitions( ${ZLIB_CFLAGS} )
  include_directories( ${ZLIB_INCLUDE_DIRS} )
else()

   message( STATUS "Using Internal zlib" )

   set( ZLIB_SOURCE 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/adler32.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/compress.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/crc32.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/deflate.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/gzio.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/infblock.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/infcodes.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/inffast.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/inflate.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/inftrees.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/infutil.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/trees.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/uncompr.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/unzip.c 
       ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib/zutil.c 
   	)
endif()

include_directories( ${CMAKE_SOURCE_DIR}/src )
include_directories( ${CMAKE_SOURCE_DIR}/src/drivers )

if(APPLE)
  add_definitions( -DPSS_STYLE=1 )
else(APPLE)
  if(UNIX)
    add_definitions( -DPSS_STYLE=1 )
  endif(UNIX)
endif(APPLE)

set(SRC_CORE
	${CMAKE_CURRENT_SOURCE_DIR}/asm.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/cart.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/cheat.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/conddebug.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/config.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/debug.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/drawing.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/fceu.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/fds.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/file.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/emufile.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/filter.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/ines.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/input.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/movie.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/netplay.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/nsf.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/oldmovie.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/palette.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/ppu.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/sound.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/state.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/unif.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/video.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/vsuni.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/wave.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/x6502.cpp
	${LUA_ENGINE_SOURCE}
	${ZLIB_SOURCE}
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/01-222.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/09-034a.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/103.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/106.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/108.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/112.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/116.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/117.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/120.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/121.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/12in1.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/151.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/156.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/158B.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/15.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/164.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/168.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/170.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/175.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/176.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/177.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/178.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/183.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/185.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/186.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/187.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/189.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/18.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/190.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/193.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/199.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/206.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/208.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/222.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/225.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/228.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/230.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/232.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/234.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/235.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/244.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/246.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/252.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/253.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/28.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/32.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/33.cpp
  	${CMAKE_CURRENT_SOURCE_DIR}/boards/34.cpp

=== attic/cmake-stuff/cmake/cross-mingw32/release/CMakeLists.txt ===
project("fceux: cross-mingw32 release")
set(CMAKE_BUILD_TYPE release)
set(FCEUX_EXE_NAME fceuxREL.exe)
include(${CMAKE_SOURCE_DIR}/cmake/cross-mingw32/fceux_cross-mingw32.cmake)

=== debian/changelog ===
fceux (2.5.0+dfsg1-1) unstable; urgency=medium

  * [cca1097] repack upstream tarball obtained from GH as well
  * [0873fbe] d/watch: look for GitHub releases too
  * [3b8ae10] new upstream release
  * [31364fb] drop patches merged upstream, refresh the rest
  * [92b86ed] bump std-ver; no changes
  * [45a6bf8] d/copyright: remove files deleted by upstream
  * [8840c1e] drop local manpages; they have been merged upstream
  * [124da68] support SOURCE_DATE_EPOCH for build timestamp

 -- Joseph Nahmias <jello@debian.org>  Sun, 21 Nov 2021 20:43:00 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   libqt5opengl5-dev,
   libqwt-qt5-dev,
   libsdl2-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://fceux.com/
 VCS-Browser: https://salsa.debian.org/games-team/fceux

=== debian/watch ===
# watch file for fceux
# See uscan(1) for format
version=4

# sf.net redirector on qa.debian.org
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
  https://sf.net/fceultra/ fceux-(.*)\.src\.tar.(?:bz2|gz) \
  debian gbp import-orig --verbose --uscan

# GitHub
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
  https://github.com/TASVideos/fceux/releases \
  /.*/fceux-(\d[\d.]*)\.tar\.gz \
  debian gbp import-orig --verbose --uscan

## fceux 2.6.4%2Bdfsg1

=== src/fir/Makefile ===
CC	= gcc
%.h:	%.coef
	cat $< | ./toh > $@ || true

all:            floogie c44100ntsc.h c48000ntsc.h c96000ntsc.h c44100pal.h c48000pal.h c96000pal.h

#c44100ntsc.h:    c44100ntsc.coef
#c48000ntsc.h:    c48000ntsc.coef
#c96000ntsc.h:    c96000ntsc.coef
#c44100pal.h:	c44100pal.coef
#c48000pal.h:	c48000pal.coef
#c96000pal.h:	c96000pal.coef

floogie:	toh.o
		gcc -o toh toh.o

=== attic/cmake-stuff/cmake/native/release/CMakeLists.txt ===
project("fceux: native release")
set(CMAKE_BUILD_TYPE release)
set(FCEUX_EXE_NAME fceuxREL)
include(${CMAKE_SOURCE_DIR}/cmake/native/fceux_native.cmake)

=== debian/watch ===
# watch file for fceux
# See uscan(1) for format
version=4

# GitHub
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
  https://github.com/TASVideos/fceux/releases \
  /.*/fceux-(\d[\d.]*)\.tar\.gz \
  debian gbp import-orig --verbose --uscan

## fceux 2.6.4+dfsg1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+include(GNUInstallDirs)
 
 set( APP_NAME fceux)
 set(CMAKE_AUTOMOC ON)
@@ -111,6 +112,22 @@
   if ( ${LIBAV_FOUND} )
 	  message( STATUS "Using System Libav Library ${LIBAV_VERSION}" )
 	  add_definitions( -D_USE_LIBAV ${LIBAV_CFLAGS} )
+  endif()
+
+  #find_package(X11)
+  pkg_check_modules( X11 x11)
+
+  if ( ${X11_FOUND} )
+	message( STATUS "Has X11 Library ${X11_VERSION}" )
+	add_definitions( -D_HAS_X11 )
+	include_directories( ${X11_INCLUDE_DIR} )
+  endif()
+
+  pkg_check_modules( XKB xkbcommon)
+
+  if ( ${XKB_FOUND} )
+	message( STATUS "Has XKB Library ${XKB_VERSION}" )
+        add_definitions( -D_HAS_XKB ${XKB_CFLAGS} )
   endif()
 
   #pkg_check_modules( GL gl) # Use built in find package instead for OpenGL
@@ -306,12 +323,3 @@
   	${CMAKE_CURRENT_SOURCE_DIR}/boards/230.cpp
   	${CMAKE_CURRENT_SOURCE_DIR}/boards/232.cpp
   	${CMAKE_CURRENT_SOURCE_DIR}/boards/234.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/235.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/244.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/246.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/252.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/253.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/28.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/32.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/33.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/34.cpp

=== attic/cmake-stuff/cmake/cross-mingw32/debug/CMakeLists.txt ===
project("fceux: cross-mingw32 debug")
set(CMAKE_BUILD_TYPE debug)
set(FCEUX_EXE_NAME fceuxDBG.exe)
include(${CMAKE_SOURCE_DIR}/cmake/cross-mingw32/fceux_cross-mingw32.cmake)

=== debian/changelog ===
fceux (2.6.4+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joseph Nahmias <jello@debian.org>  Thu, 19 May 2022 09:08:13 -0400

fceux (2.6.4+dfsg1-1) unstable; urgency=medium

  * [67bd672] drop out of date sf.net source location
  * [03d43eb] New upstream version 2.6.4+dfsg1
  * [8c69163] add copyright info for new source files
  * [0a3d31c] update upstream git hash
  * [87d4ae8] drop patch merged upstream
  * [1300dab] refresh patches
  * [6896afb] use UTC for calculating SOURCE_DATE_EPOCH.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    (Closes: #1010463)
  * [fb8a17f] standardize Vcs field spellings
  * [6046861] work around weird interaction between faketime and quilt patch
    this should make the build reproducible in salsa-ci.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>

 -- Joseph Nahmias <jello@debian.org>  Wed, 18 May 2022 23:15:22 -0400

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://fceux.com/
-VCS-Browser: https://salsa.debian.org/games-team/fceux
-VCS-Git: https://salsa.debian.org/games-team/fceux.git
+Vcs-Browser: https://salsa.debian.org/games-team/fceux
+Vcs-Git: https://salsa.debian.org/games-team/fceux.git
 
 Package: fceux
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	dh_auto_configure -- -DGLVND=1
 
 override_dh_auto_build:
+	touch -d@$(SOURCE_DATE_EPOCH) fceux.desktop
 	dh_auto_build
 	dh_auto_build --sourcedirectory=$(CURDIR)/fceux-server/

## fceux 2.6.5+dfsg1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.8)

project(fceux)

add_subdirectory( src )

=== fceux-server/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
-PREFIX  = 	/usr
+PREFIX  ?= 	/usr
 OUTFILE = 	fceux-net-server
 
-CC	=	g++
+CXX	?=	g++
 OBJS	=	server.o md5.o throttle.o
 
 
 all:		${OBJS}
-		${CC} -o ${OUTFILE} ${OBJS}
+		${CXX} ${CXXFLAGS} -o ${OUTFILE} ${OBJS} ${LDFLAGS}
 
 clean:
 		rm -f ${OUTFILE} ${OBJS}

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,10 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
+
+if (${PUBLIC_RELEASE})
+	add_definitions( -DPUBLIC_RELEASE=1 )
+endif()
 
 if ( ${QT6} )
 	message( STATUS "GUI Frontend: Qt6")
@@ -28,6 +32,7 @@
 	include_directories( ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Help_INCLUDE_DIRS} )
 endif()
 
+
 if(WIN32)
      find_package(OpenGL REQUIRED)
      #find_package(Qt5 COMPONENTS Widgets OpenGL REQUIRED)
@@ -36,6 +41,8 @@
      add_definitions( -DMSVC -D_CRT_SECURE_NO_WARNINGS )
      add_definitions( -D__SDL__  -D__QT_DRIVER__  -DQT_DEPRECATED_WARNINGS )
      add_definitions( -DFCEUDEF_DEBUGGER )
+     add_definitions( /wd4267 /wd4244 )
+     #add_definitions( /wd4018 ) # Integer comparison sign mismatch warnings
      include_directories( ${SDL_INSTALL_PREFIX}/SDL2/include )
      include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/drivers/win/zlib )
      set( OPENGL_LDFLAGS  OpenGL::GL )
@@ -71,7 +78,8 @@
   find_package(OpenGL REQUIRED)
   find_package(ZLIB REQUIRED)
 
-  add_definitions( -Wall  -Wno-write-strings  -Wno-sign-compare  -Wno-parentheses  -Wno-unused-local-typedefs  -fPIC )
+  add_definitions( -Wall  -Wno-write-strings  -Wno-parentheses  -Wno-unused-local-typedefs  -fPIC )
+  #add_definitions( -Wno-sign-compare )  # Integer comparison sign mismatch warnings
   add_definitions( -DFCEUDEF_DEBUGGER )
 
   #if ( ${QT6} )
@@ -84,6 +92,15 @@
   #	include_directories( ${Qt5Widgets_INCLUDE_DIRS} )
   #endif()
   add_definitions( -D__QT_DRIVER__  -DQT_DEPRECATED_WARNINGS )
+
+  if ( ${ASAN_ENABLE} )
+	add_definitions( -fsanitize=address -fsanitize=bounds-strict )
+	add_definitions( -fsanitize=undefined -fno-sanitize=vptr )
+	set( ASAN_LDFLAGS  -lasan -lubsan)
+	message( STATUS "Address Sanitizer Enabled" )
+  else()
+	message( STATUS "Address Sanitizer Disabled" )
+  endif()
 
   # Check for libminizip
   pkg_check_modules( MINIZIP REQUIRED minizip)
@@ -261,6 +278,7 @@
   	${CMAKE_CURRENT_SOURCE_DIR}/conddebug.cpp
   	${CMAKE_CURRENT_SOURCE_DIR}/config.cpp
   	${CMAKE_CURRENT_SOURCE_DIR}/debug.cpp
+  	${CMAKE_CURRENT_SOURCE_DIR}/debugsymboltable.cpp
   	${CMAKE_CURRENT_SOURCE_DIR}/drawing.cpp
   	${CMAKE_CURRENT_SOURCE_DIR}/fceu.cpp
   	${CMAKE_CURRENT_SOURCE_DIR}/fds.cpp
@@ -310,16 +328,3 @@
   	${CMAKE_CURRENT_SOURCE_DIR}/boards/185.cpp
   	${CMAKE_CURRENT_SOURCE_DIR}/boards/186.cpp
   	${CMAKE_CURRENT_SOURCE_DIR}/boards/187.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/189.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/18.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/190.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/193.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/199.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/206.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/208.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/222.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/225.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/228.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/230.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/232.cpp
-  	${CMAKE_CURRENT_SOURCE_DIR}/boards/234.cpp

=== attic/cmake-stuff/cmake/cross-mingw32/CMakeLists.txt ===
add_subdirectory(release)
add_subdirectory(debug)

=== attic/cmake-stuff/cmake/native/debug/CMakeLists.txt ===
project("fceux: native debug")
set(CMAKE_BUILD_TYPE debug)
set(FCEUX_EXE_NAME fceuxDBG)
include(${CMAKE_SOURCE_DIR}/cmake/native/fceux_native.cmake)

=== debian/changelog ===
fceux (2.6.5+dfsg1-2) unstable; urgency=medium

  * disable ASAN (Closes: #1031740)

 -- Joseph Nahmias <jello@debian.org>  Tue, 21 Feb 2023 21:14:05 -0500

fceux (2.6.5+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
    Changes-By: lintian-brush
    Fixes: lintian: homepage-field-uses-insecure-uri
    See-also: https://lintian.debian.org/tags/homepage-field-uses-insecure-uri.html
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
    Fixes: lintian: upstream-metadata-missing-repository
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-repository.html

  [ Joseph Nahmias ]
  * d/watch: update for new upstream tag format
  * New upstream version 2.6.5+dfsg1
  * update upstream copyrights, bump year on debian copyright
  * refresh patches; drop patch merged upstream
  * enable compiler address sanitizer (ASAN)

 -- Joseph Nahmias <jello@debian.org>  Sun, 19 Feb 2023 21:35:04 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
   libsdl2-dev,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://fceux.com/
+Homepage: https://fceux.com/
 Vcs-Browser: https://salsa.debian.org/games-team/fceux
 Vcs-Git: https://salsa.debian.org/games-team/fceux.git

=== debian/watch ===
# watch file for fceux
# See uscan(1) for format
version=4

# GitHub
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
  https://github.com/TASVideos/fceux/tags \
  /.*/(?:@PACKAGE@|v)?@ANY_VERSION@@ARCHIVE_EXT@
